Subject: Re: BFD for vxlan Destination MAC field (was Re: draft-ietf-bfd-vxlan IESG status)

From: Donald Eastlake <[email-masked]>
Date: Mon, 10 Aug 2020 13:08:18 -0400

Hi,

My apologies for not responding earlier in this thread.

IANA originally contacted me as a Designated Expert for MAC addresses
under the IANA OUI last year in connection with version -07. At that
time, I approved an assignment for this draft. I'm fine with any
reasonable usage description the WG comes up with for this MAC address
whether more or less generic. (Usage of a MAC address reserved for
documentation would not be appropriate)

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

On Thu, Jul 30, 2020 at 7:55 PM Greg Mirsky <[email-masked]> wrote:
>
> Hi Jeff,
> do you think that the record in the Usage filed for the requested MAC address instead of "BFD over VXLAN" be more generic, e.g., "Active OAM over NVO3"?
> What do you think?
>
> Regards,
> Greg
>
> On Mon, Jul 20, 2020 at 2:26 PM Jeffrey Haas <[email-masked]> wrote:
>>
>> On Wed, Jun 17, 2020 at 03:52:14PM -0400, Jeffrey Haas wrote:
>> > >> Proposed solution: A MAC value should be chosen that is well known and the
>> > >> text would become:
>> > >>
>> > >> "Destination MAC: A Management VNI, which does not have any tenants, will
>> > >> have no dedicated MAC address for decapsulated traffic.  The value
>> > >> X:X:X:X:X
>> > >> SHOULD be used in this field."
>> > >>
>> > >> SHOULD might need to be MUST.  Since a partial motivation for permitting
>> > >> the
>> > >> flexibility in the specification to NOT use the management VNI is desired=
>> > > ,
>> > >> MUST might be inappropriate.
>> > >>
>> > > GIM>> Accepted the suggested text. I agree that the flexibility to not use
>> > > the Management VNI is permitted in the specification and thus SHOULD in the
>> > > text is consistent with that scenario. How would we pick the MAC address?
>> >
>> > I am out of my area of expertise and I was hoping someone in the IESG can offer a fix. :-)  I am copying Donald Eastlake since he's the designated expert for the IANA MAC address block.
>> >
>> > Donald, review of the thread may be useful, but tersely the need is to have a well known MAC address that can be placed in this vxlan PDU that is literally a placeholder of "not to be used for forwarding".  The packet arrives at the endpoint and, if not immediately accepted, would be dropped.
>> >
>> > If there is no well known MAC that could be used for such a behavior, perhaps an address from the IANA block may be used?
>> >
>> > While I suspect the IANA mac documentation range could be used, IANA may not appreciate that.
>>
>> Donald is not responding to emails.  Considering I've been similarly bad
>> about responding, that's forgivable.  However, in the interest of advancing
>> the document, I'd like to make a proposal.
>>
>> https://www.iana.org/assignments/ethernet-numbers/ethernet-numbers.xhtml
>>
>> Proposed text:
>>
>> : Destination MAC: A Management VNI, which does not have any tenants, will
>> : have no dedicated MAC address for decapsulated traffic.  The value
>> : [TBD1] SHOULD be used in this field.
>> :
>> : IANA Considerations:
>> :
>> : IANA is requested to assign a single MAC address to the value TBD1 from the
>> : "IANA Unicast 48-bit MAC Address" registry from the "Unassigned (small
>> : allocations)" block.  The Usage field will be "BFD for vxlan" with a
>> : Reference field of this document.
>>
>>
>>
>> -- Jeff

---

From: Jeffrey Haas <[email-masked]>
Date: Mon, 10 Aug 2020 15:14:48 -0400

Thank you, Donald.

Greg, would you bump the draft with this assignment?

-- Jeff

> On Aug 10, 2020, at 1:08 PM, Donald Eastlake <[email-masked]> wrote:
> 
> Hi,
>

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 10 Aug 2020 12:38:42 -0700

Hi Jeff,
to update the IANA considerations section by replacing TBD1 with the actual
MAC address? I see two small allocation ranges for in the Unicast MAC
addresses:
00-52-02 to 00-52-12 Unassigned (small allocations)
....
00-52-14 to 00-52-FF Unassigned (small allocations)

Also, can we change the wording in the Reference column from "BFD over
VXLAN" to "Control channel in NVO3"? That would be helpful to the work on
OAM in Geneve.

Regards,
Greg

On Mon, Aug 10, 2020 at 12:14 PM Jeffrey Haas <[email-masked]> wrote:

> >> do you think that the record in the Usage filed for the requested MAC
> address instead of "BFD over VXLAN" be more generic, e.g., "Active OAM over
> NVO3"?
> >> What do you think?
> >>
> >> Regards,
> >> Greg
> >>
> >>>> I am out of my area of expertise and I was hoping someone in the IESG
> can offer a fix. :-)  I am copying Donald Eastlake since he's the
> designated expert for the IANA MAC address block.
> >>>>
> >>>> Donald, review of the thread may be useful, but tersely the need is
> to have a well known MAC address that can be placed in this vxlan PDU that
> is literally a placeholder of "not to be used for forwarding".  The packet
> arrives at the endpoint and, if not immediately accepted, would be dropped.
> >>>>
> >>>> If there is no well known MAC that could be used for such a behavior,
> perhaps an address from the IANA block may be used?
> >>>>

---

From: Jeffrey Haas <[email-masked]>
Date: Mon, 10 Aug 2020 15:42:36 -0400

Greg,

Sorry, I was looking at two messages back to back.  From a unicast from Donald:

> I'm still working on catching up on the MAC address aspects of this
> discussion so this message may have been overcome by events.
> 
> But individual MAC addresses are abundant. I received a request from
> IANA in connection with the -07 version of this draft on 22 May 2019
> (yes 2019). I reviewed the draft the same day and sent back an
> approval to IANA to assign a MAC address in which I suggested the
> value 00-00-5E-00-52-02 which is still available according to the IANA
> registry. Presumably IANA will make that assignment as soon as the
> IESG approves the draft.

-- Jeff

> On Aug 10, 2020, at 3:38 PM, Greg Mirsky <[email-masked]> wrote:
> 
> Hi Jeff,
> to update the IANA considerations section by replacing TBD1 with the actual MAC address? I see two small allocation ranges for in the Unicast MAC addresses:
> Also, can we change the wording in the Reference column from "BFD over VXLAN" to "Control channel in NVO3"? That would be helpful to the work on OAM in Geneve.
> 
> Regards,
> Greg
> 
> On Mon, Aug 10, 2020 at 12:14 PM Jeffrey Haas <[email-masked] <mailto:[email-masked]>> wrote:
> Thank you, Donald.
> 
> > On Aug 10, 2020, at 1:08 PM, Donald Eastlake <[email-masked] <mailto:[email-masked]>> wrote:
> > 
> > Hi,
> > 
> > [email-masked] <mailto:[email-masked]>
> > 
> > On Thu, Jul 30, 2020 at 7:55 PM Greg Mirsky <[email-masked] <mailto:[email-masked]>> wrote:
> >> 
> >> Hi Jeff,
> >> On Mon, Jul 20, 2020 at 2:26 PM Jeffrey Haas <[email-masked] <mailto:[email-masked]>> wrote:
> >>> 
> >>> https://www.iana.org/assignments/ethernet-numbers/ethernet-numbers.xhtml <https://www.iana.org/assignments/ethernet-numbers/ethernet-numbers.xhtml>
> >>> 
> >>> Proposed text:
> >>>

---

From: Donald Eastlake <[email-masked]>
Date: Mon, 10 Aug 2020 16:51:52 -0400

Hi Greg,

You shouldn't put a specific MAC address in the draft until it is
assigned in the IANA registry.

Requests that only appear in drafts don't take effect until the draft
is approved but if assignment policy for the registry does not require
IESG approval of a draft (for example, First Come First Served or
Expert Review) you can send a request to IANA (see template in
Appendix A.1 of RFC 7042) and then, after IANA has assigned a value,
put it into a draft. Assignment of one or a small block of 48-bit MAC
addresses is a slight variation on Expert Review (see Section 2.1.3 of
RFC 7042).

However, this document seems far enough along in the process that I'm
not sure a separate request for the assignment (which would probably
be referred to me and I would approve) would be worth it.

Thanks,
Donald

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 10 Aug 2020 14:22:17 -0700

Hi Donald,
many thanks for your clarification. Will wait for the IESG review of the
current version.

Regards,
Greg

On Mon, Aug 10, 2020 at 1:52 PM Donald Eastlake <[email-masked]> wrote:

> > to update the IANA considerations section by replacing TBD1 with the
> actual MAC address? I see two small allocation ranges for in the Unicast
> MAC addresses:
> >> >> do you think that the record in the Usage filed for the requested
> MAC address instead of "BFD over VXLAN" be more generic, e.g., "Active OAM
> over NVO3"?
> >> >> What do you think?
> >> >>
> >> >> Regards,
> >> >> Greg
> >> >>
> >> >>>> I am out of my area of expertise and I was hoping someone in the
> IESG can offer a fix. :-)  I am copying Donald Eastlake since he's the
> >> >>>> Donald, review of the thread may be useful, but tersely the need
> is to have a well known MAC address that can be placed in this vxlan PDU
> that is literally a placeholder of "not to be used for forwarding".  The
> packet arrives at the endpoint and, if not immediately accepted, would be
> dropped.
> >> >>>>
> >> >>>> If there is no well known MAC that could be used for such a
> behavior, perhaps an address from the IANA block may be used?
> >> >>>>